apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel May <Dan...@spryware.com>
Subject RE: Platform Support in APR 2.x
Date Tue, 07 Apr 2009 23:26:16 GMT
We look to target:
	- Windows XP
	- Windows Vista
	- Windows Server 2003
	- Windows Server 2008
	- Windows 7
   These equate to  NTDDI_VERSION >= NTDDI_WINXP (or the deprecated _WIN32_WINNT and WINVER
>= 0x0501)    

Compilers:
	- MSVC++ 8.0 or greater ( _MSC_VER >= 1400 )

We are deprecating Win2k and earlier, and Visual Studio 7.1 and earlier (_MSC_VER <= 1310)

For *NIX
	- Solaris 10 (x86)
	- MAC OSX
	- RHEL 4 & 5 (kernel 2.6 or greater)

Compilers:
	- gcc version 4 or greater

All in 32-bit and 64-bit (where available)

We are currently using CVS, but are planning to migrate to SVN
We use Cmake on all *NIX platforms

/Daniel

-----Original Message-----
From: Paul Querna [mailto:paul@querna.org] 
Sent: Thursday, March 26, 2009 5:03 AM
To: dev@apr.apache.org
Subject: Platform Support in APR 2.x

I believe Platforms that have no one around to support should be
removed (svn history will always be there, and they can always be
rebuilt).  In APR especially the operating systems with different
implementations, I would prefer to just remove them if no one wants to
keep things up in sync.

Please respond with the Platforms you as a /developer/ are willing to
support in APR-2.x.

I am personally willing to develop for:
  - FreeBSD >= 7.0-release

Thanks,
Paul
Mime
View raw message